---
replicaCount: {{ secrets.book_admin.env[secrets_book_admin_env]['helm']['replicaCount']|default(1) }}

image:
  repository: "{{ secrets.book_admin.env[secrets_book_admin_env]['helm']['image']['repository']|default(helm_service_name) }}"
  pullPolicy: "{{ secrets.book_admin.env[secrets_book_admin_env]['helm']['image']['pullPolicy']|default('IfNotPresent') }}"
  tag: "{{ helm_image_tag[secrets_book_admin_env] }}"

{% if 'service' in secrets.book_admin.env[secrets_book_admin_env]['helm'] %}
service:
  type: {{ secrets.book_admin.env[secrets_book_admin_env]['helm']['service']['type']|default('ClusterIP') }}
  {% if 'ports' in secrets.book_admin.env[secrets_book_admin_env]['helm']['service'] -%}
  ports:
{% filter indent(width=4) %}
    {{ secrets.book_admin.env[secrets_book_admin_env]['helm']['service']['ports'] | to_nice_yaml  }}
{% endfilter %}
  {%- endif %}
{% endif %}

nameOverride: "{{ helm_service_name }}"
fullnameOverride: "{{ helm_service_name }}"

volumeMounts:
  - name: "services-{{ helm_service_name }}-secrets"
    mountPath: /secrets
    readOnly: true

volumes:
  - name: "services-{{ helm_service_name }}-secrets"
    secret:
      secretName: "services-{{ helm_service_name }}-secrets"

podRecreate: {{ secrets.book_admin.env[secrets_book_admin_env]['helm']['podRecreate'] }}

{% if secrets_book_admin_env == 'k3s' %}
containers:
  - name: book-admin-db
    image: docker.io/bitnami/mongodb:4.4
    imagePullPolicy: Always
    env:
      - name: MONGODB_ROOT_PASSWORD
        value: vEoZs9tEk3jLqS76
      - name: MONGODB_USERNAME
        value: book-admin
      - name: MONGODB_PASSWORD
        value: 2vQU45haQCnDS8sO
      - name: MONGODB_DATABASE
        value: book-admin
commandOverride: ["/bin/book-admin"]
argsOverride: ["serve", "--config", "/secrets/local.env.yaml", "-b", "0.0.0.0", "-p", "8080", "-l", "-c", "-m"]
{% endif -%}

secret:
  enabled: true
  data:
    local.env.yaml: {{ helm_secret_data | string | b64encode }}
